Subject: Re: [PATCH] iproute2 add hoplimit and reordering route options usage and parsing

From: Andreas Henriksson <[email-masked]>
Date: Tue, 6 Oct 2009 13:41:42 +0200

Hello!

On Mon, Oct 05, 2009 at 10:54:21AM +0200, Gilad Ben-Yossef wrote:
> iproute2 git HEAD (spotted originally on 2.6.26, so it's probably not new) 
> does  not parse the hoplimit route option when proccessing parameters, nor 
> does it  print hoplimit and reordering options in the usage lines.  

I'm happy you brought this up and know the author. The Debian package
has been carrying this code, which is now in the form of a patch available
here:
http://git.debian.org/?p=collab-maint/pkg-iproute.git;a=blob;f=debian/patches/hoplimit.dpatch

I didn't know who the original author was which is why I haven't submitted it,
but it seems you know the history....
The above patch also includes some minor documentation updates which you seem
to be missing and might want to integrate in your version of the patch.

Looking forward to be able to drop the patch in the debian package!

Regards,
Andreas Henriksson